Bug 882812 - PRD32-GLUSTER - Configuration sync with Gluster CLI
PRD32-GLUSTER - Configuration sync with Gluster CLI
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Shireesh
Shruti Sampat
gluster
: FutureFeature
Depends On:
Blocks: 892441 915537
  Show dependency treegraph
 
Reported: 2012-12-03 02:09 EST by Shireesh
Modified: 2016-02-10 13:58 EST (History)
12 users (show)

See Also:
Fixed In Version: sf7
Doc Type: Enhancement
Doc Text:
When actions were performed directly on gluster CLI (not using the management console), they were not reflected in RHEV-M. This resulted in an inconsistent view of the cluster as provided by RHS-C to the user. To resolve this, a background job has been added in RHEV-M that will fetch the latest information from gluster CLI and update the RHS-C database accordingly. This provides a consistent view of the storage cluster presented on RHS-C.
Story Points: ---
Clone Of:
: 892441 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:25:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10448 None None None Never
oVirt gerrit 7288 None None None Never
oVirt gerrit 9135 None None None Never
oVirt gerrit 9782 None None None Never

  None (edit)
Description Shireesh 2012-12-03 02:09:17 EST
Currently, any changes done by user to the gluster cluster from the gluster cli doesn't get reflected in the GUI. Introduce a mechanism to automatically detect any changes performed using CLI and sync the same with the engine DB.

Feature page: http://wiki.ovirt.org/Features/Gluster_Sync_Configuration_With_CLI
Comment 2 Shireesh 2013-01-03 00:34:05 EST
One more upstream patch required for this feature:

http://gerrit.ovirt.org/10448
Comment 3 Shruti Sampat 2013-03-29 01:14:42 EDT
All changes mentioned in the feature page (http://wiki.ovirt.org/Features/Gluster_Sync_Configuration_With_CLI) when made from the gluster CLI are getting reflected in the GUI, except for 'gluster peer detach force' (https://bugzilla.redhat.com/show_bug.cgi?id=916104)

So marking this bug as VERIFIED.
Comment 4 Cheryn Tan 2013-04-03 02:51:25 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 5 Shireesh 2013-05-16 01:53:30 EDT
Updated doc text with details.
Comment 6 errata-xmlrpc 2013-06-10 17:25:00 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.